- Classes
- Namespaces
- Interfaces
- Traits
- Index

PHP-FFMpeg API
Class

# FFMpeg\Filters\Video\ClipFilter

class ClipFilter implements VideoFilterInterface

## Methods

| __construct(TimeCode $start, TimeCode $duration = null, $priority) |
integer | getPriority() Returns the priority of the filter. |
TimeCode | getStart() |
TimeCode | getDuration() |
array | apply(Video $video, VideoInterface $format) Applies the filter on the the Video media given an format. |

## Details

###
at line 27
`public __construct(TimeCode $start, TimeCode $duration = null, $priority)`

#### Parameters

TimeCode | $start |
TimeCode | $duration |
| $priority |

###
at line 37
`public integer getPriority()`

Returns the priority of the filter.

#### Return Value

integer |

###
at line 45
`public TimeCode getStart()`

#### Return Value

TimeCode |

###
at line 53
`public TimeCode getDuration()`

#### Return Value

TimeCode |

###
at line 61
`public array apply(Video $video, VideoInterface $format)`

Applies the filter on the the Video media given an format.

#### Parameters

Video | $video |
VideoInterface | $format |

#### Return Value

array | An array of arguments